CRM Contacts
Bulk create contacts from CSV import Throttled to prevent abuse - max 3 requests per minute per user
POST
/
crm
/
bulk
Bulk create contacts from CSV import
Throttled to prevent abuse - max 3 requests per minute per user
curl --request POST \
--url https://api.example.com/crm/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"accountOwnerEmail": "jsmith@example.com",
"meetingTypeRef": "<string>",
"crmCompanyRef": "<string>",
"additionalData": {}
}
],
"updateExisting": true
}
'import requests
url = "https://api.example.com/crm/bulk"
payload = {
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"tags": ["<string>"],
"notes": "<string>",
"accountOwnerEmail": "jsmith@example.com",
"meetingTypeRef": "<string>",
"crmCompanyRef": "<string>",
"additionalData": {}
}
],
"updateExisting": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
phoneNumber: '<string>',
tags: ['<string>'],
notes: '<string>',
accountOwnerEmail: 'jsmith@example.com',
meetingTypeRef: '<string>',
crmCompanyRef: '<string>',
additionalData: {}
}
],
updateExisting: true
})
};
fetch('https://api.example.com/crm/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"updated": 123,
"skipped": 123,
"failed": 123,
"issues": [
{}
]
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiKeyJWTApiUserHeader
Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.
Body
application/json
⌘I
Bulk create contacts from CSV import
Throttled to prevent abuse - max 3 requests per minute per user
